# -*- coding: utf-8 -*-
import dataiku
import pandas as pd, numpy as np
from dataiku import pandasutils as pdu

# This code is an example of how
# DSS can work with different tools

# Read recipe inputs
flight_data_input = dataiku.Dataset("flight_data_input")
df = flight_data_input.get_dataframe()

# Plot a sample of the data
df.head()

df.dtypes

df.describe()

total = df.shape[0]
for cols in df.columns:
    count = df[df[cols].isna()==True].shape[0]
    ratio = ( count / total )*100
    print(f'There are {count} NAs [{ratio:.2f}%] in the column: {cols} ')

print(df.shape)
df_clean = df.dropna(subset=["ArrDelay"])
print(df_clean.shape)

total = df_clean.shape[0]
for cols in df_clean.columns:
    count = df_clean[df_clean[cols].isna()==True].shape[0]
    ratio = ( count / total )*100
    print(f'There are {count} NAs [{ratio:.2f}%] in the column: {cols} ')

df_clean.AirTime.describe()

# You could continue cleansing the data using this code
# as much as you want.

# Write recipe outputs
dataset = dataiku.Dataset("flight_data_prepared_with_python")
dataset.write_with_schema(df_clean[["AirTime"]])
